#include <stdio.h>
#include "ggl.h"


int
main(void)
{
	struct ggl_window *win;
	struct ggl_gridbox *grid;
	struct ggl_button *button;
	if (ggl_init())
		return -1;
	win = ggl_window_new(320,240);
	grid = ggl_gridbox_new("A20,b1,C10,f1,d1,E20,z0","A20,b1,C10,F40,d1,E20,z0");
	ggl_window_attach(win,(struct ggl_widget *)grid);
	button = ggl_button_new(gbk_corner);
	ggl_gridbox_attach(grid,(struct ggl_widget *)button,"ad,bd,ce,cz");
	button = ggl_button_new(gbk_corner);
	button->label = "TEST";
	button->label_pos = 4;
	button->font = gf_largest;
	ggl_gridbox_attach(grid,(struct ggl_widget *)button,"ec,zc,da,db");
	button = ggl_button_new(gbk_corner);
	ggl_gridbox_attach(grid,(struct ggl_widget *)button,"ac,bc,ca,cb");
	button = ggl_button_new(gbk_corner);
	ggl_gridbox_attach(grid,(struct ggl_widget *)button,"ed,zd,de,dz");
#if 1
	button = ggl_button_new(gbk_corner);
	ggl_gridbox_attach(grid,(struct ggl_widget *)button,"cc,fc,df,dd");
#else
	button = ggl_button_new(gbk_square);
	button->label = "TEgSTI";
	button->label_pos = 4;
	ggl_gridbox_attach(grid,(struct ggl_widget *)button,"cc,dd");
#endif
#if 0
	button = ggl_button_new(gbk_square);
	button->label = "BUH1";
	button->u.square.rounded[0] = 1.0;
	button->u.square.rounded[1] = 1.0;
	button->u.square.rounded[2] = 1.0;
	button->u.square.rounded[3] = 1.0;
	ggl_gridbox_attach(grid,(struct ggl_widget *)button,"aa,bb");
#endif

	ggl_loop();

	/* unreachable: */
	return 0;
}
